Minimum Requirements for Syncing with QuickBooks Desktop

In order for Biller Genie to properly integrate and sync with QuickBooks Desktop, you MUST meet the following requirements.

  • At the time of installation, you must ensure you’re logged into your computer as an Administrator
  • QuickBooks Desktop must be installed on a device that utilizes Windows, Mac OSX is not supported.
  • If you’re using a server, log in to the server, as the Biller Genie Sync Manager must be installed on the server.
  • Your version of QuickBooks (Pro, Premier, or Enterprise) must be of 2015 or later.
  • Login as Admin and in Single-User mode to the QuickBooks company file you wish to integrate with your Biller Genie account. This cannot be a user with full permissions to QuickBooks it must be the admin.

Looking for steps on how to sync with QuickBooks Desktop? Click here